import Layout from '@/layout'

const superRoutes = [
  {
    path: '/',
    component: Layout,
    redirect: 'noRedirect',
    children: [
      {
        path: '',
        component: () => import('@/views/super/dashboard/index'),
        name: '控制面板',
        meta: {
          title: '控制面板',
          icon: 'dashboard',
          affix: true
        }
      }
    ]
  }, {
    path: '/role',
    component: Layout,
    redirect: '/role/admin',
    name: '角色管理',
    meta: { title: '角色管理', icon: 'user' },
    children: [
      {
        path: 'admin',
        component: () => import('@/views/super/role/admin/index'),
        name: '管理员',
        meta: {
          title: '管理员',
          icon: 'el-icon-s-custom'
        }
      }, {
        path: 'worker',
        component: () => import('@/views/super/role/worker/index'),
        name: '上酒工',
        meta: {
          title: '上酒工',
          icon: 'peoples'
        }
      }
    ]
  }, {
    path: '/order',
    component: Layout,
    redirect: '/order/trade',
    name: '订单管理',
    meta: { title: '订单管理', icon: 'el-icon-shopping-bag-1' },
    children: [
      {
        path: 'trade',
        component: () => import('@/views/super/order/trade/index'),
        name: '交易订单',
        meta: {
          title: '交易订单',
          icon: 'el-icon-shopping-cart-2'
        }
      }, {
        path: 'change',
        component: () => import('@/views/super/order/change/index'),
        name: '上酒订单',
        meta: {
          title: '上酒订单',
          icon: 'tree-table'
        }
      }
    ]
  }, {
    path: '/config',
    component: Layout,
    redirect: '/config/device',
    name: '系统配置',
    meta: { title: '系统配置', icon: 'el-icon-set-up' },
    children: [
      {
        path: 'device',
        component: () => import('@/views/super/config/device/index'),
        name: '设备管理',
        meta: {
          title: '设备管理',
          icon: 'el-icon-help'
        }
      }, {
        path: 'wine',
        component: () => import('@/views/super/config/wine/index'),
        name: '酒品配置',
        meta: {
          title: '酒品配置',
          icon: 'el-icon-s-tools'
        }
      }, {
        path: 'advertise',
        component: () => import('@/views/super/config/advertise/index'),
        name: '广告管理',
        meta: {
          title: '广告管理',
          icon: 'el-icon-picture-outline'
        }
      }, {
        path: 'param',
        component: () => import('@/views/super/config/advertise/index'),
        name: '系统参数',
        meta: {
          title: '系统参数',
          icon: 'el-icon-s-platform'
        }
      }
    ]
  }, {
    path: '/record',
    component: Layout,
    redirect: 'noRedirect',
    children: [
      {
        path: '',
        component: () => import('@/views/super/record/index'),
        name: '操作记录',
        meta: {
          title: '操作记录',
          icon: 'el-icon-video-camera-solid'
        }
      }
    ]
  }, {
    path: '/charts',
    component: Layout,
    redirect: 'noRedirect',
    children: [
      {
        path: '',
        component: () => import('@/views/super/charts/index'),
        name: '数据统计',
        meta: {
          title: '数据统计',
          icon: 'el-icon-data-analysis'
        }
      }
    ]
  }, {
    path: '/about',
    component: Layout,
    redirect: 'noRedirect',
    children: [
      {
        path: '',
        component: () => import('@/views/about/index'),
        name: '关于我们',
        meta: {
          title: '关于我们',
          icon: 'el-icon-message'
        }
      }
    ]
  },
  { path: '*', redirect: '/404', hidden: true }
]

export default superRoutes
